GNU bug report logs - #60652
30.0.50; tree-sitter: `treesit-inspect-mode' seems to break the undo ring... sometimes?

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Mickey Petersen <mickey@HIDDEN>; dated Sun, 8 Jan 2023 10:41:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 60652 <at> debbugs.gnu.org:


Received: (at 60652) by debbugs.gnu.org; 9 Jan 2023 09:02:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 09 04:02:03 2023
Received: from localhost ([127.0.0.1]:35750 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pEo2d-00069h-Go
	for submit <at> debbugs.gnu.org; Mon, 09 Jan 2023 04:02:03 -0500
Received: from mail-lo2gbr01on2132.outbound.protection.outlook.com
 ([40.107.10.132]:18972 helo=GBR01-LO2-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mickey@HIDDEN>) id 1pEo2b-000695-5h
 for 60652 <at> debbugs.gnu.org; Mon, 09 Jan 2023 04:02:02 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=RfHsgmPx8tDC47aAl9Nw8R6Xd18fetMTX9giexAYYgGsxb6ZAV8dRsOqW3yD8pUNHnLpkyWLVLVW+rJB4WtulbGaGUiZmv35f+u9Yz4d3j6VHGAD4PfAmT4ZspurkRJH2TCRzczF7sDZUhtH9uKA5ZljDjPbctc8TUjalwWJuzTP/SAnIF+wbdWmernIgLLidwSM0B6tjjYFzKAL/ovZGWxUiYXC3Bsv9NvKY3AiMwQFew/wR8nZhdpIqzljBKGAMCj1NqpJHu+7Zj25bSXBKBU05qaInzZ0pNvzbGIxPnnTHosJ32P3QoqJkmMquKEMEPP0oHsKq73cV1uIMoooXw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=S1VstvUiZgs0DYqC+r9wRt9WfVkedQLuUbZMRRotRoo=;
 b=mIXxSs3gGlN4MQYjzGryjOkfpYu0NJaoW4cNwIOiKDKwlW8NfxPBqWFE8FT1Nto1IoUdHSIOcghkSZIGfwQ1nzq0zys7gEhNIb9KZxi0/CSgHaBn6XYOvDveqrXSWywnf2ZKkk6x97YBYLyvBneLRP/0fUBDluE2K3nEyMlmhqDtdK+jVuQOVr8WuTAWIDJ2dzNmfMMsEXlPQZ36TeYASfSUfbTGSAbinhTeYMh8lVK3yf2KQvwheV0kn0Pt5Wg7pS+bjCHmBsJ3AmNE1oNeGO19Q52fm236rfE9uFhEEWorbR/0a0Z+ET+JUy93lq/yjCiPTxwD+WrUTK2ouwLhMA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass (sender ip is
 178.79.136.144) smtp.rcpttodomain=debbugs.gnu.org
 smtp.mailfrom=masteringemacs.org; dmarc=pass (p=none sp=none pct=100)
 action=none header.from=masteringemacs.org; dkim=pass (signature was
 verified) header.d=masteringemacs.org; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=semantical.onmicrosoft.com; s=selector1-semantical-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=S1VstvUiZgs0DYqC+r9wRt9WfVkedQLuUbZMRRotRoo=;
 b=ElTTolnHLuDgpggSz661I0zmbumtbJdtFNugfip9ydV8xjocLG14uMZIWmxG/6dNELxlVwddz1L992c1Wp2LsBlNSp9SRfZhKZj0SUTr4DYAHQFsMF05Jd58OfKD+BlkkfFmJoUl1iR6TDJ8H8iLqmU6HiUVorMVV//g3Qk7H8I=
Received: from LO4P123CA0384.GBRP123.PROD.OUTLOOK.COM (2603:10a6:600:18f::11)
 by LOYP265MB1808.GBRP265.PROD.OUTLOOK.COM (2603:10a6:600:ea::16) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5986.18; Mon, 9 Jan
 2023 09:01:54 +0000
Received: from LO2GBR01FT031.eop-gbr01.prod.protection.outlook.com
 (2603:10a6:600:18f:cafe::4d) by LO4P123CA0384.outlook.office365.com
 (2603:10a6:600:18f::11) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5986.18 via Frontend
 Transport; Mon, 9 Jan 2023 09:01:54 +0000
X-MS-Exchange-Authentication-Results: spf=pass (sender IP is 178.79.136.144)
 smtp.mailfrom=masteringemacs.org; dkim=pass (signature was verified)
 header.d=masteringemacs.org;dmarc=pass action=none
 header.from=masteringemacs.org;
Received-SPF: Pass (protection.outlook.com: domain of masteringemacs.org
 designates 178.79.136.144 as permitted sender)
 receiver=protection.outlook.com; client-ip=178.79.136.144;
 helo=semantical.co.uk; pr=C
Received: from semantical.co.uk (178.79.136.144) by
 LO2GBR01FT031.mail.protection.outlook.com (10.152.42.158) with Microsoft SMTP
 Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.5986.18 via Frontend Transport; Mon, 9 Jan 2023 09:01:53 +0000
Received: by semantical.co.uk (Postfix, from userid 5001)
 id 9792E114002; Mon,  9 Jan 2023 09:01:53 +0000 (GMT)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=masteringemacs.org;
 s=masteringemacs.org; t=1673254913;
 bh=S1VstvUiZgs0DYqC+r9wRt9WfVkedQLuUbZMRRotRoo=;
 h=References:From:To:Cc:Subject:Date:In-reply-to:From;
 b=zKPOkOuXJl2yFHGGPlmf5AtpAs1hq6EPHG9/PQuyRGdlfVJ3Amup+Nu0nZg6rCvYh
 tGcFQdEaQfBL8QjWLqYkMnChzlGUIdiqTEVfG3vFPlzQfrnUojkbMB+bPp4yig+3vG
 WF1W+VY0rKHmaNdRBXXNI6aViShVouap444GFyNM=
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on semantical.co.uk
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,NO_RECEIVED,
 NO_RELAYS,URIBL_BLOCKED autolearn=unavailable autolearn_force=no
 version=3.4.2
References: <547545D3-D9AE-46E3-A022-FDF51836855A@HIDDEN>
User-agent: mu4e @VERSION@; emacs 30.0.50
From: Mickey Petersen <mickey@HIDDEN>
To: Yuan Fu <casouri@HIDDEN>
Subject: Re: bug#60652: 30.0.50; tree-sitter: `treesit-inspect-mode' seems
 to break the undo ring... sometimes?
Date: Mon, 09 Jan 2023 09:01:11 +0000
Organization: Mastering Emacs
In-reply-to: <547545D3-D9AE-46E3-A022-FDF51836855A@HIDDEN>
Message-ID: <87r0w4hyio.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-EOPAttributedMessage: 0
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: LO2GBR01FT031:EE_|LOYP265MB1808:EE_
MIME-Version: 1.0
X-MS-Office365-Filtering-Correlation-Id: 88a87d4f-bf9d-494d-66e0-08daf2202750
X-MS-Exchange-SenderADCheck: 1
X-MS-Exchange-AntiSpam-Relay: 0
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: AaVc8JjG0C5vJRN5xBGe5qsmjXC5QPXgUTuC0La6Kk7HQ/jfpWNez9LUHa5pO/rEoVNMXgjkqtkqRHuMEIsbHMgd+V8USCxZwMOdLNSOqYqLLYVC1fLsR6YKTkbjgc7EJQLXTe4OqJxt93C1/bZd5erUBmduS0aJ184Qk4AIPnNCSqUVAvTYdhyaV1/y1Z2x82thKqHz+gF/dLPK33DNBMAiKXhYRmVE2yQDa0LE7EpJjY7zEEXyhJ9ApbRw7tSKc5ZVkvP814bN/Kch9ehNQYMD3ViYEBA3xgdCZipaMQNNtCoGahRIVEXTIP0Vk2WFmXRpviHROILRn145n+ogI0pamjhUUlj4RxOnX7rrR+j9oVbCPsAkdKeyV8lfuFNDgl4J9aZ4XEozASXR34gaLeleJh9pzPd8HZ6W1fm6puY3FNftO5a8pc2QQt+q+cOaFsNfUWDxtFqo2Bj1UpfiAQTEjErMq6PJrrW5KRUjetUyFvpB0nWDZ+DdeDrk3vqgd+a28R8XGcZ2wIE0kUK3MMReD5BzT85woLEEfEj6li5+LGYCTl05cvh2xpRr0/Fe5nFuq+1Cq1XMla2q3IYYC3HQGOPP4Av+VFQCzoGnI4bjnKmyN0fUy3hlGcGcZAfMIVKikyYu4HbGbd/f2UYl/8HU6y+kdOlpllGdn7g6S0ax5W6zRvDTlFBP9IAfeM/1L0n1iD+UahMC6c0g1+VqEOxDOSOB51M8xsQPugIlWV7UpJhqJyL1Ir+zkNeUztD0wgiJn2Lt3+UsYEFfkzw7Xw==
X-Forefront-Antispam-Report: CIP:178.79.136.144; CTRY:GB; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:semantical.co.uk; PTR:semantical.co.uk; CAT:NONE;
 SFS:(13230022)(396003)(39830400003)(136003)(376002)(346002)(451199015)(46966006)(36840700001)(36756003)(186003)(8936002)(6862004)(6666004)(26005)(6266002)(4744005)(2616005)(5660300002)(40480700001)(36916002)(4326008)(316002)(356005)(86362001)(42186006)(70586007)(7596003)(478600001)(7636003)(41300700001)(70206006)(8676002)(82310400005)(47076005)(2906002)(336012)(36860700001)(38230200001)(81973001)(14776008)(79816003);
 DIR:OUT; SFP:1102; 
X-OriginatorOrg: masteringemacs.org
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 09 Jan 2023 09:01:53.8213 (UTC)
X-MS-Exchange-CrossTenant-Network-Message-Id: 88a87d4f-bf9d-494d-66e0-08daf2202750
X-MS-Exchange-CrossTenant-Id: a4e27e3d-bab0-45e8-8942-e64cf9fbd34f
X-MS-Exchange-CrossTenant-OriginalAttributedTenantConnectingIp: TenantId=a4e27e3d-bab0-45e8-8942-e64cf9fbd34f; Ip=[178.79.136.144];
 Helo=[semantical.co.uk]
X-MS-Exchange-CrossTenant-AuthSource: LO2GBR01FT031.eop-gbr01.prod.protection.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Anonymous
X-MS-Exchange-CrossTenant-FromEntityHeader: HybridOnPrem
X-MS-Exchange-Transport-CrossTenantHeadersStamped: LOYP265MB1808
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 60652
Cc: 60652 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Yuan Fu <casouri@HIDDEN> writes:

> Mickey Petersen <mickey@HIDDEN> writes:
>
>> Steps to somewhat reliably reproduce it:
>>
>> 1. Enable `treesit-inspect-mode' in a valid buffer.
>> 2. Do some light editing, and sometimes the undo ring will reset
>> itself to just the previous undone state and the current one. In
>> effect turning what was a history of undo events into two.
>>
>> Sadly, I have little more than this to go on.
>
> I am truly amazed :-) I don=E2=80=99t have any idea why, either. AFAIK
> treesit-inspect-mode doesn=E2=80=99t do anything dangerous.
>

Yes, sorry for the vague report. But I figured I'd at least throw it
out there in case someone else encounters it. It's possible something
else is interfering, but given the simplicity of the mode, as you say,
it is indeed odd. I will let you know if I can reproduce it reliably.

> Yuan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60652; Package emacs. Full text available.

Message received at 60652 <at> debbugs.gnu.org:


Received: (at 60652) by debbugs.gnu.org; 9 Jan 2023 03:27:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 08 22:27:13 2023
Received: from localhost ([127.0.0.1]:35360 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pEiob-0000nI-50
	for submit <at> debbugs.gnu.org; Sun, 08 Jan 2023 22:27:13 -0500
Received: from mail-pj1-f42.google.com ([209.85.216.42]:44944)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <casouri@HIDDEN>) id 1pEioY-0000my-2N
 for 60652 <at> debbugs.gnu.org; Sun, 08 Jan 2023 22:27:12 -0500
Received: by mail-pj1-f42.google.com with SMTP id
 o7-20020a17090a0a0700b00226c9b82c3aso8017038pjo.3
 for <60652 <at> debbugs.gnu.org>; Sun, 08 Jan 2023 19:27:10 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=to:cc:date:message-id:subject:mime-version
 :content-transfer-encoding:from:from:to:cc:subject:date:message-id
 :reply-to; bh=ZDHVfVk/5hhWZ0rLFy/ANy3uSBlzl3KLJO30PSZehsQ=;
 b=KGzSXexAMjvlWXcE3DBszxLEnSXR7q22uCnGgpRrF7rrzNK9eA2qE2KszMIovrurss
 RRfVgXfTU4LONuyllUKEu2AVyC3/ZYvb9Cpu1WgvuCfKYUAXgkDApRoEp4DXqbQ6BVmh
 uBio7yKbBlCZ4/2n9OOQeq1fQlMhAexmyXN8y39RscWbqaZ3YxLTFQAwCHPRZl9bPkds
 DFr4cey01KLsiAz72fVPVIyyzpByXq2IAoCf2uni4Je9PJOdAXb5adW+UhuRrg6bW+ub
 U1Eh9eVqLyBIiqrpWYjEOCZrZcRckIPktXby7gxWFtkzZNT47z+hQgDCYr5pxOk+12DY
 aaTQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=to:cc:date:message-id:subject:mime-version
 :content-transfer-encoding:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=ZDHVfVk/5hhWZ0rLFy/ANy3uSBlzl3KLJO30PSZehsQ=;
 b=2In/pgxsUnb3P1eM1BmXEuwpx/L688zE25b1mjPOQBzM/72IQ8FWCFgGOk/RTr5Noy
 i7kh19xGQ2u8Xn9ZTt8MN1MNq6bqv7sD2teFR4/ywC+erW7SUlntwvyX7HLhL69VvEKg
 hTq+CXoUJmqM9Yjy4YSB8szatxJNaBERDYMTTPSfdlAsHXUoGF/CgLadh0UXe4DnLa7Z
 Wuk+6gsmPWSKtOdTOAq1oFg++W/m8pE+tTK5ojw3LC/rTNnA64cSawSCz1b7/0ncLoop
 NB9dtEI+GBDkCpTdDUqkPdD4VMm7B/PSJgE5DSpEBD2mp+X34xKItqAzIidY+B76uRVU
 MkDA==
X-Gm-Message-State: AFqh2ko59ZUS20nO2OE933NPhNcG9vTYWk798zm7ANLuyyPVZ9Hu9ugB
 fEeFHdnIZRBHGengil2zHXMPvZPRiXM=
X-Google-Smtp-Source: AMrXdXuiU1/q6mO8w25e5QFZ1zfLuCuubI9HwJrxnXT6+scBg0WW5Rcw6z4hBmihcoIYIgPlrUVRgw==
X-Received: by 2002:a17:903:2348:b0:192:fc57:23dd with SMTP id
 c8-20020a170903234800b00192fc5723ddmr22717336plh.17.1673234824416; 
 Sun, 08 Jan 2023 19:27:04 -0800 (PST)
Received: from smtpclient.apple (cpe-172-117-161-177.socal.res.rr.com.
 [172.117.161.177]) by smtp.gmail.com with ESMTPSA id
 m11-20020a170902bb8b00b00186cf82717fsm4802446pls.165.2023.01.08.19.27.03
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 08 Jan 2023 19:27:04 -0800 (PST)
From: Yuan Fu <casouri@HIDDEN>
Content-Type: text/plain;
	charset=utf-8
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 16.0 \(3696.120.41.1.1\))
Subject: Re: bug#60652: 30.0.50; tree-sitter: `treesit-inspect-mode' seems  to
 break the undo ring... sometimes?
Message-Id: <547545D3-D9AE-46E3-A022-FDF51836855A@HIDDEN>
Date: Sun, 8 Jan 2023 19:27:02 -0800
To: Mickey Petersen <mickey@HIDDEN>
X-Mailer: Apple Mail (2.3696.120.41.1.1)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60652
Cc: 60652 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Mickey Petersen <mickey@HIDDEN> writes:

> Steps to somewhat reliably reproduce it:
>
> 1. Enable `treesit-inspect-mode' in a valid buffer.
> 2. Do some light editing, and sometimes the undo ring will reset
> itself to just the previous undone state and the current one. In
> effect turning what was a history of undo events into two.
>
> Sadly, I have little more than this to go on.

I am truly amazed :-) I don=E2=80=99t have any idea why, either. AFAIK
treesit-inspect-mode doesn=E2=80=99t do anything dangerous.

Yuan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60652; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Jan 2023 10:40:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 08 05:40:49 2023
Received: from localhost ([127.0.0.1]:59973 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pET6f-0003i0-Gm
	for submit <at> debbugs.gnu.org; Sun, 08 Jan 2023 05:40:49 -0500
Received: from lists.gnu.org ([209.51.188.17]:32912)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mickey@HIDDEN>) id 1pET6d-0003hs-J0
 for submit <at> debbugs.gnu.org; Sun, 08 Jan 2023 05:40:48 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mickey@HIDDEN>)
 id 1pET6d-0002Jo-DV
 for bug-gnu-emacs@HIDDEN; Sun, 08 Jan 2023 05:40:47 -0500
Received: from mail-cwlgbr01on2126.outbound.protection.outlook.com
 ([40.107.11.126] helo=GBR01-CWL-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mickey@HIDDEN>)
 id 1pET6b-0005M4-U9
 for bug-gnu-emacs@HIDDEN; Sun, 08 Jan 2023 05:40:47 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=gx/4N8u4/35tQ0oauUTFiFxBgFvH/kRH7Y3b67qmoMYkVDZ6miz34l8/i+f7qD63BjRwguseP6AhxDqZ0Nk+6Eujo6aTzMvD38IDFYvkUFlB0HZSYsQaiSJ8BkrUcfJWMoxODETXDfF2VXRzEo4Qo0n9RmAGmmiYoh0GFbczqbwWrdStCI2adNXi4AnRKtZJ+sbCmNTESSgY+d76PRNrnBs9LR7ivQbbTpEvriNvvxkXy4GCnpMKtTHXT1Pe31MZy0/Ftq7ScHdmMaKB+H7QweXL7wQEb1zmbUTXxdD5HxamisSMJ6Mwv1c9bfXvYSN/iyk8+2yvniZ8Ba6oo/j+Rw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=5Il6yl/R7t/sz845w4y0mHbBXM6ZEDiDH0+//td3490=;
 b=h5BvvnHHF9khWERZye+16LYXHgVVc9Urakga1E1VC1XVBT5w/9bbDP16MQgZh6Cy7QKjAhO96h5Ldw/n4MC15lzBNsXPzuI0lBc2lBC5wtGklYQHFsWFQM46qkbLDs/wtlJ3vqDYm2vGrCb9FV2Wz6VPnQQIcptqQ5z7aRviXngDUMyx1bFajBusu3Xvw4EVfp/l+6w+JoJIJhKZ37YOZQRezYTIHun+bBr8g4MQ6Sz9nVpkFfppB9zq+O8G22apKU/U9rYAYJbhVqgz0BMcHPyY3AwyIrxPebeu2SWpSRuJpxrv6vpNTPlavJq/WciH0K/430I+R4dRZOBgUq9vmQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass (sender ip is
 178.79.136.144) smtp.rcpttodomain=gnu.org smtp.mailfrom=masteringemacs.org;
 dmarc=pass (p=none sp=none pct=100) action=none
 header.from=masteringemacs.org; dkim=pass (signature was verified)
 header.d=masteringemacs.org; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=semantical.onmicrosoft.com; s=selector1-semantical-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=5Il6yl/R7t/sz845w4y0mHbBXM6ZEDiDH0+//td3490=;
 b=SNNdzz5PrtXjiZzrUcBy/y/edkVEd3KfPbfORX8jZIjAKlI2jIxRCTySTNnkXNIL8HNnVo7z3NTG6S2kPZxjJ4QPnQfruUl6zWtC6qxoVOE5QHP9iKgDC2my8lYjkDvmBenmVa8qbalI8Qmjpq33QCmMCxaibs2K0QbnD3+g8G8=
Received: from LO6P123CA0047.GBRP123.PROD.OUTLOOK.COM (2603:10a6:600:310::16)
 by LO3P265MB2362.GBRP265.PROD.OUTLOOK.COM (2603:10a6:600:102::11)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5986.18; Sun, 8 Jan
 2023 10:40:43 +0000
Received: from LO2GBR01FT025.eop-gbr01.prod.protection.outlook.com
 (2603:10a6:600:310:cafe::25) by LO6P123CA0047.outlook.office365.com
 (2603:10a6:600:310::16) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5986.18 via Frontend
 Transport; Sun, 8 Jan 2023 10:40:43 +0000
X-MS-Exchange-Authentication-Results: spf=pass (sender IP is 178.79.136.144)
 smtp.mailfrom=masteringemacs.org; dkim=pass (signature was verified)
 header.d=masteringemacs.org;dmarc=pass action=none
 header.from=masteringemacs.org;
Received-SPF: Pass (protection.outlook.com: domain of masteringemacs.org
 designates 178.79.136.144 as permitted sender)
 receiver=protection.outlook.com; client-ip=178.79.136.144;
 helo=semantical.co.uk; pr=C
Received: from semantical.co.uk (178.79.136.144) by
 LO2GBR01FT025.mail.protection.outlook.com (10.152.42.151) with Microsoft SMTP
 Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.5986.18 via Frontend Transport; Sun, 8 Jan 2023 10:40:42 +0000
Received: by semantical.co.uk (Postfix, from userid 5001)
 id 5663A114002; Sun,  8 Jan 2023 10:40:42 +0000 (GMT)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=masteringemacs.org;
 s=masteringemacs.org; t=1673174442;
 bh=5Il6yl/R7t/sz845w4y0mHbBXM6ZEDiDH0+//td3490=;
 h=From:To:Subject:Date:From;
 b=yekXrsUZ1BSYYqKHHN4KChrr9fYT/nrwnxNSU/DxibovHtBXoM/DThcow7sF+nMSB
 /EathIVPy3mKZuKCis4MTV94bxopLikvvy2YZ3LaL78uObPrzYzxiwsRnBgTk3u8ND
 mIGUTcTV7qmsLDoodOg0e/8L/wmhmQrKPpKxYGu0=
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on semantical.co.uk
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,NO_RECEIVED,
 NO_RELAYS,URIBL_BLOCKED autolearn=ham autolearn_force=no version=3.4.2
From: Mickey Petersen <mickey@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 30.0.50; tree-sitter: `treesit-inspect-mode' seems to break the
 undo ring... sometimes?
Date: Sun, 08 Jan 2023 10:40:40 +0000
Message-ID: <87zgatjolz.fsf@HIDDEN>
Content-Type: text/plain
X-EOPAttributedMessage: 0
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: LO2GBR01FT025:EE_|LO3P265MB2362:EE_
MIME-Version: 1.0
X-MS-Office365-Filtering-Correlation-Id: 2548ef2b-0112-45e2-dc80-08daf164cada
X-MS-Exchange-SenderADCheck: 1
X-MS-Exchange-AntiSpam-Relay: 0
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: NGiKFgCgnhq0le1FLBjio8sbdBk5ov88S7B2n4PtnTxF5XaQpPrVqw5Y4McmN7vlH08Yi6LLDPNLlR4RbJzobqJ61nDNZPcDYOyOffXzGsSBoH25QBhM2GlFDGFyuKzEPXXMJe8C7nLLKNuNv6/saOXoYi5TR+Q1FH9OjgoTVbWHXCMR7pSpKzqFLpOw9b5jSU0EodaUTDtO1oV66dfDeYwTl+kUOTHrZGQmzfFQxkuakGPzH5vTBW4BUm3UAbHJt1PXN7LelYj+1upyLzns8tuTpbQ7pt24+QE67VNcOZ9ku5krZQhIfPhVzJiV/YyVd1JfOwtVkMzeBfbqsso85YMBpLO4QAlRdENuGc9vkwF0SKN74cZLZLsGBDqTZj9bdtxEPOJM8DNO1rNRvW2Rbf3Rf97rZLOh7jx0LmWBQKdGpPbIuUObvS3ofL9IJeS5U3+hBBSUtr4Npkmgr5nnqvIqmLGtu86CvMPqGO9SbzOf5sl3T6sp4XGCsUuYFk2ByQSz4L5hM9iS0ir1GCIqa5ymqG+7gK9rkorrcmDHv6JCYb8qRT1qtZUUp3TMM6l/xAO1BFj99tlgHzftIFhsgbd5h691qtecfqiEuThIlw+MqUzDKWVEKDRrCV/Q5QmgwumbGn3Pcq2OlgDxINZJyRXeDpVt//19h+GpjvjZWVnzsPnDv537UhUi1NXim+XUravmU1G8Zo1mqiXx2BqfjQ+4QunkVCUGuI250cLYvR6SpfTL4HTcTsEluXAGKS4iejp+sxaKS/XY4/GYq3Yeeg==
X-Forefront-Antispam-Report: CIP:178.79.136.144; CTRY:GB; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:semantical.co.uk; PTR:semantical.co.uk; CAT:NONE;
 SFS:(13230022)(396003)(39830400003)(136003)(376002)(346002)(451199015)(36840700001)(46966006)(36756003)(186003)(8936002)(26005)(6266002)(4744005)(40480700001)(2616005)(5660300002)(8676002)(6916009)(356005)(316002)(86362001)(42186006)(70586007)(478600001)(7596003)(7636003)(41300700001)(70206006)(82310400005)(47076005)(2906002)(336012)(36860700001)(38230200001)(81973001)(14776008)(79816003);
 DIR:OUT; SFP:1102; 
X-OriginatorOrg: masteringemacs.org
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 08 Jan 2023 10:40:42.8398 (UTC)
X-MS-Exchange-CrossTenant-Network-Message-Id: 2548ef2b-0112-45e2-dc80-08daf164cada
X-MS-Exchange-CrossTenant-Id: a4e27e3d-bab0-45e8-8942-e64cf9fbd34f
X-MS-Exchange-CrossTenant-OriginalAttributedTenantConnectingIp: TenantId=a4e27e3d-bab0-45e8-8942-e64cf9fbd34f; Ip=[178.79.136.144];
 Helo=[semantical.co.uk]
X-MS-Exchange-CrossTenant-AuthSource: LO2GBR01FT025.eop-gbr01.prod.protection.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Anonymous
X-MS-Exchange-CrossTenant-FromEntityHeader: HybridOnPrem
X-MS-Exchange-Transport-CrossTenantHeadersStamped: LO3P265MB2362
Received-SPF: pass client-ip=40.107.11.126;
 envelope-from=mickey@HIDDEN;
 helo=GBR01-CWL-obe.outbound.protection.outlook.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)


Steps to somewhat reliably reproduce it:

1. Enable `treesit-inspect-mode' in a valid buffer.
2. Do some light editing, and sometimes the undo ring will reset itself to just the previous undone state and the current one. In effect turning what was a history of undo events into two.

Sadly, I have little more than this to go on.


In GNU Emacs 30.0.50 (build 6, x86_64-pc-linux-gnu, GTK+ Version
 3.24.20, cairo version 1.16.0) of 2023-01-02 built on mickey-work
Repository revision: c209802f7b3721a1b95113290934a23fee88f678
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12013000
System Description: Ubuntu 20.04.3 LTS

Configured using:
 'configure --with-native-compilation --with-json --with-mailutils
 --without-compress-install --with-imagemagick CC=gcc-10'





Acknowledgement sent to Mickey Petersen <mickey@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#60652; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 9 Jan 2023 09:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.